<?
if ($vinokl) {
if ($vinokl=="target") {
if (!$g) msg("Нет цели");
$stmp.="<a href=\"$PHP_SELF?sid=$sid\">[^]</a>";
$re=split("\|",$locations[$g]);
$stmp.="<br/><strong>- Название места -</strong>";
$stmp.="<br/>$re[0]";
$stmp.="<br/><strong>- Обьекты -</strong>";
$ind=0; $count=0; if(!$start) $start=0;
if ($game["loc"][$g]) foreach (array_keys($game["loc"][$g]) as $i) if ($i!=$login) {
if ($ind>=$start && $ind<$start+20) {
if (substr($i,0,5)=='item.') {
$k=split("\|",$game["loc"][$g][$i]);
if (substr($i,0,11)!='item.stand.' && $k[1]>1) $k=$k[0]." (".$k[1].")"; else $k=$k[0];
} else {
$k=$game["loc"][$g][$i]["title"];
if ($game["loc"][$g][$i]["life_max"]>0) $ltmp=round($game["loc"][$g][$i]["life"]*100/$game["loc"][$g][$i]["life_max"]);
$st='';
if ($ltmp<100) $st.=$ltmp."%";
if ($game["loc"][$g][$i]["gild"]) {
$gild=split("\|",$game["loc"][$g][$i]["gild"]);
$st.="*".$gild[1]."*".$gild[0]."";
}
if ($game["loc"][$g][$i]["ghost"]) $st.=" призрак";
if (substr($i,0,5)=='user.' && $game["loc"][$g][$i]["crim"]) $st.=" #";
$not=0;
}
$stmp.= "<br/>".$k."";
}
$ind++;
}
if (!$k) $stmp.="<br/>- некого нет -";
if (!isset($locations[$g])) msg("Неправельная локации ");
 $old=split("\|",$locations[$player["loc"]]);
if (isset($locations[$g]) && !array_search($g,$old)) msg("Вы не можете видить так далеко!");
$stmp.="<br/><strong>- Территория -</strong>";
$ut=split("\|",$locations[$g]);
if ($ut[1]=="1") $stmp.="<br/>! Охраняемая";
if ($ut[1]=="0") $stmp.="<br/>! Неохраняемая";
$stmp.="<br/><br/><a href=\"$PHP_SELF?sid=$sid\">[^]</a>";
} else msg("Error!!!");
msg($stmp,"Винокль",0,'none');
}
?>